Name:           cabal2spec
Version:        0.25.4
Release:        1%{?dist}
Summary:        Tool for creating .spec files for Haskell Cabal Packages

Group:          Development/Languages
License:        GPLv2+
URL:            https://fedorahosted.org/cabal2spec/
Source0:        https://fedorahosted.org/releases/c/a/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This package provides specfile templates and a script cabal2spec for easy
packaging of Haskell Cabal packages (hackages) for ghc following
the Fedora Haskell Packaging Guidelines and associated RPM macros.


%prep
%setup -q

%build
%{nil}

%install
make install DESTDIR=${RPM_BUILD_ROOT}


%files
%doc COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/rpmdevtools


%changelog
* Tue Jan 24 2012 Jens Petersen <petersen@redhat.com> - 0.25.4-1
- fix the CABAL2SPEC_VERSION substition in cabal2spec

* Mon Jan 23 2012 Jens Petersen <petersen@redhat.com> - 0.25.3-1
- extract License field from .cabal file (based on patch by Satoru Satou)
- handle .cabal files with DOS line-endings
- allow whitespace after 'exposed-modules'
- CABAL2SPEC_VERSION is now set in cabal2spec instead of the templates

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan  2 2012 Jens Petersen <petersen@redhat.com> - 0.25.2-1
- remove explanatory comments to make the templates more concise:
  they will be documented on the wiki

* Wed Dec 28 2011 Jens Petersen <petersen@redhat.com> - 0.25.1-1
- use ghc_package, ghc_description, ghc_devel_package, ghc_devel_description,
  and ghc_devel_post_postun

* Tue Dec 27 2011 Jens Petersen <petersen@redhat.com> - 0.25-1
- use new ghc_files macro from ghc-rpm-macros-0.15
- move hscolour BR into ghc-rpm-macros line
- drop ver-rel from cabal2spec changelog entry and change text

* Thu Sep  8 2011 Jens Petersen <petersen@redhat.com> - 0.24.1-1
- drop redundant defattr's from templates
- make hscolour BR conditional again
- add comment about cabal_configure_options (Lakshmi Narasimhan)
- replace multiple @NAME@'s on same line

* Wed Jun 29 2011 Jens Petersen <petersen@redhat.com> - 0.24-1
- drop ghc_lib_package and ghc_binlib_package and bring back
  explicit subpackages, post/postun, and files sections
- drop old GHC_VERSION substitution (#716676)

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.23.2-1
- ghc_arches replaces ghc_excluded_archs

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 0.23.1-1
- use new ghc_excluded_archs from redhat-rpm-config
- cabal2spec-diff: remove tmpdir if cabal2spec fails

* Mon May 16 2011 Jens Petersen <petersen@redhat.com> - 0.23-1
- BR ghc-Cabal-devel instead of ghc-prof/ghc-devel
- drop ghc_pkg_deps
- add DEPENDENCIES placeholder

* Tue May 10 2011 Jens Petersen <petersen@redhat.com> - 0.22.7-1
- fix rpmlint warning for macro usage in comment (reported by narasim)

* Sun May  1 2011 Jens Petersen <petersen@redhat.com> - 0.22.6-1
- add -l option to cabal2spec-diff
- add ppc64 port
- drop lower version bounds to ghc-rpm-macros
- drop buildroot from .spec

* Wed Mar 16 2011 Jens Petersen <petersen@redhat.com> - 0.22.5-1
- add -l option to override false binlib to lib package
- add comments to templates to help reviewers
- add sparcv9 port
- drop setting debug_package and dynamic bcond

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Jens Petersen <petersen@redhat.com> - 0.22.4-1
- bring back debug_package override for consistency (thanks narasim)

* Thu Dec  9 2010 Jens Petersen <petersen@redhat.com> - 0.22.3-1
- lower ghc-rpm-macros requires to 0.7.3 (f13) for easier backporting
- drop bcond for shared (default from f13) and hscolour (assumed from f14)
- drop debug_package override since it is in ghc-rpm-macros
- defining and cleaning buildroot is deprecated
- improve parsing of Name, Version, and Executable

* Tue Jul 27 2010 Jens Petersen <petersen@redhat.com> - 0.22.2-1
- start releases from 0
- drop cgi-bin/hackage-scripts/ prefix from URLs
- bcond for hscolour
- require ghc-rpm-macros-0.8.1
- bring back ghc_pkg_c_deps for binlib

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 0.22.1-1
- make cabal2spec ignore library test programs
- newline before lib changelog
- move prof/dyn conflict comment next to binlib shared bcond

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 0.22-1
- use new ghc_bin_build, ghc_bin_install, ghc_lib_build, ghc_lib_install
  (ghc-rpm-macros-0.7.0)

* Wed Jun 23 2010 Jens Petersen <petersen@redhat.com> - 0.21.4-1
- use ghc_strip_dynlinked with ghc-rpm-macros-0.6.0

* Wed Mar 24 2010 Jens Petersen <petersen@redhat.com> - 0.21.3-1
- fix cabal2spec-diff leaving a tmpdir if no .spec file exists

* Wed Mar 24 2010 Jens Petersen <petersen@redhat.com> - 0.21.2-1
- bring back BuildRoot to keep rpmlint quieter

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 0.21.1-1
- ignore comment lines in .cabal files

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 0.21-1
- update for new ghc-rpm-macros-0.5.1:
- sample ghc_pkg_deps and ghc_pkg_c_deps
- drop doc and prof bcond
- use ghc_lib_package and ghc_binlib_package
- no arg needed for ghc_gen_filelists now
- update mailing-list to haskell-devel

* Fri Dec 25 2009 Jens Petersen <petersen@redhat.com> - 0.20.1-1
- add support for shared libraries and updates for ghc-6.12:
- lib and binlib package now have shared library subpackages
- bin packages link dynamically (not binlib due to prof conflict)
- new common_summary and common_description simplify subpackaging
- library packages have debugging for stripping
- specify BR ghc-rpm-macros >= 0.4.0 for new macros:
  ghc_requires, ghc_doc_requires, ghc_prof_requires,
  cabal_pkg_conf (replaces ghc_gen_scripts and ghc_install_scripts),
  and "ghc-pkg recache" replaces ghc_register_pkg and ghc_unregister_pkg.
- cabal2spec version now appears in changelog

* Tue Nov 24 2009 Jens Petersen <petersen@redhat.com> - 0.19-1
- cabal2spec-diff: reverse diff file order
- devel: don't provide ghc-<package>
- doc: description formatting
- changelog: take Haskell SIG as initial packager

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 30 2009 Jens Petersen <petersen@redhat.com> - 0.17-1
- let -devel packages provide ghc-pkg_name for convenience

* Mon May 25 2009 Jens Petersen <petersen@redhat.com> - 0.16-2
- drop the ghc requires (and arch) completely since not actually needed

* Wed May 13 2009 Jens Petersen <petersen@redhat.com> - 0.16-1
- add BR ghc-rpm-macros to templates

* Thu Apr 30 2009 Jens Petersen <petersen@redhat.com> - 0.15-2
- use exclusivearch since no ghc on ppc64 yet

* Sat Apr 25 2009 Jens Petersen <petersen@redhat.com> - 0.15-1
- templates buildrequire at least ghc-6.10.2-3 for macros
- fix binlib doc filelist name

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 0.14-1
- ghc_version is now in macros.ghc in ghc-6.10.2-3

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 0.13-1
- requires at least ghc-6.10.2-2
- ghc_version is now set directly from ghc
- ghc buildrequires no longer versioned
- pkg_libdir and pkg_docdir replaced by ghcpkgdir and ghcdocdir in macros.ghc
- add doc filelist

* Fri Feb 27 2009 Jens Petersen <petersen@redhat.com> - 0.12-1
- lib packages own docdir now that there is no base package

* Fri Feb 27 2009 Jens Petersen <petersen@redhat.com> - 0.11-1
- go back to ExclusiveArch and add alpha

* Fri Feb 27 2009 Jens Petersen <petersen@redhat.com> - 0.10-1
- just ExcludeArch ppc64 for now to make life easier

* Thu Feb 26 2009 Jens Petersen <petersen@redhat.com> - 0.9-1
- drop ghc_archs since it does not work in koji

* Wed Feb 25 2009 Jens Petersen <petersen@redhat.com> - 0.8-1
- use ghc_archs
- create devel subpackages for lib and binlib

* Mon Feb 23 2009 Jens Petersen <petersen@redhat.com> - 0.7-1
- cabal2spec-0.7:
  - use %%global instead of %%define
  - quieten output of scripts
- updates urls to fedorahosted

* Mon Feb 16 2009 Jens Petersen <petersen@redhat.com> - 0.6-1
- update to cabal2spec-0.6:
  - add doc post requires for ghc-doc
  - cabal2spec-diff now uses cabal2spec
- use config(noreplace) for template files (#479803)

* Tue Feb 10 2009 Jens Petersen <petersen@redhat.com>
- update summary and description

* Mon Feb  9 2009 Jens Petersen <petersen@redhat.com> - 0.5-1
- add cabal2spec-diff script to diff current spec against current template
- add ghc-doc BR to binlib and lib templates

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-3
- rename package to cabal2spec

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-2
- remove old todo comments about splitting and ghc dep

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-1
- move ghc_version back to templates for now
- leave macros.ghc in ghc
- require ghc

* Wed Jan 14 2009 Jens Petersen <petersen@redhat.com> - 0.3-1
- move and rename templates to /etc/rpmdevtools (#479803)
- provide a tarball
- add -doc subpackages for libs

* Tue Jan 13 2009 Jens Petersen <petersen@redhat.com> - 0.1-1
- initial version separated from ghc
